POST ticket/clubcard/payByClubcard/{appId}/{auth}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| appId | integer |
Required |
|
| auth | string |
Required |
Body Parameters
PayByClubcardRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| sessionId | globally unique identifier |
None. |
|
| clubcardId | globally unique identifier |
None. |
|
| paymentType | ClubcardPaymentType |
None. |
|
| objectId | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"sessionId": "c508871c-d5d6-48e5-ba4c-175bfa08d794",
"clubcardId": "67a1608a-5d80-435d-8284-1aafc7ccbaaf",
"paymentType": 1,
"objectId": "c1ce54dc-2b3d-462d-bfdc-cce76339a09c"
}
application/xml, text/xml
Sample:
<PayByClubcardRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models"> <clubcardId>67a1608a-5d80-435d-8284-1aafc7ccbaaf</clubcardId> <objectId>c1ce54dc-2b3d-462d-bfdc-cce76339a09c</objectId> <paymentType>MovieTicket</paymentType> <sessionId>c508871c-d5d6-48e5-ba4c-175bfa08d794</sessionId> </PayByClubcardRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
PayByClubcardResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| result | ClubcardResult |
None. |
|
| itemType | integer |
None. |
|
| objectId | globally unique identifier |
None. |
|
| paymentId | globally unique identifier |
None. |
|
| downloadPage | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"result": {
"code": 0,
"message": "sample string 1"
},
"itemType": 1,
"objectId": "80919d75-5555-4205-be85-c74147474a1e",
"paymentId": "71f3c14c-171a-4d3d-9c45-0134846ec00f",
"downloadPage": "sample string 4"
}
application/xml, text/xml
Sample:
<PayByClubcardResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models">
<downloadPage>sample string 4</downloadPage>
<itemType>1</itemType>
<objectId>80919d75-5555-4205-be85-c74147474a1e</objectId>
<paymentId>71f3c14c-171a-4d3d-9c45-0134846ec00f</paymentId>
<result>
<code>OK</code>
<message>sample string 1</message>
</result>
</PayByClubcardResponse>